=== debian/changelog ===
qtwallet (0.13) fremantle; urgency=low

  * Initial release 0.1
  * Release 0.2 adding new package dependencies
  * Release 0.3 adding new package dependencies
  * Release 0.4 adding new package dependencies
  * Release 0.5 adding new package dependencies
  * Release 0.6 adding new package dependencies
  * Release 0.7 new functionalities
  * Release 0.8 new functionalities and fix some bugs
  * Release 0.9 new functionalities and fix some bugs
  * Release 0.10 new functionalities and fix some bugs
  * Release 0.11 new functionalities and fix some bugs
  * Release 0.12 new functionalities and fix some bugs
  * Release 0.13 first version on 1.2

 -- david <nowheremanmail@gmail.com>  Sun, 28 Feb 2010 21:17:00 +0100
