## qtwallet 0.15

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat May 8 18:25:06 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 20:51:49 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -11,12 +11,12 @@
 CC            = gcc
 CXX           = g++
 DEFINES       = -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4/QtSql -I/targets/FREMANTLE_X86/usr/include/qt4/QtDBus -I/targets/FREMANTLE_X86/usr/include/qt4 -I. -I.
+CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtSql -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-O1
-LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lssl -lQtDBus -lQtSql -lQtXml -lQtGui -lQtCore -lpthread
+LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -lssl -lQtDBus -L/usr/lib -lQtSql -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -26,11 +26,12 @@
 SED           = sed
 COPY_FILE     = $(COPY)
 COPY_DIR      = $(COPY) -r
+STRIP         = strip
 INSTALL_FILE  = install -m 644 -p
 INSTALL_DIR   = $(COPY_DIR)
 INSTALL_PROGRAM = install -m 755 -p
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -45,29 +46,21 @@
 SOURCES       = DatabaseManager.cpp \
 		eWallet.cpp \
 		main.cpp \
-		QFNListItem.cpp \
-		QFNListWidget.cpp \
 		CreateTargetDialog.cpp \
 		LoginDialog.cpp \
 		DetailedWindow.cpp moc_eWallet.cpp \
-		moc_QFNListItem.cpp \
 		moc_DetailedWindow.cpp \
-		moc_QFNListWidget.cpp \
 		moc_CreateTargetDialog.cpp \
 		moc_LoginDialog.cpp \
 		qrc_resources.cpp
 OBJECTS       = DatabaseManager.o \
 		eWallet.o \
 		main.o \
-		QFNListItem.o \
-		QFNListWidget.o \
 		CreateTargetDialog.o \
 		LoginDialog.o \
 		DetailedWindow.o \
 		moc_eWallet.o \
-		moc_QFNListItem.o \
 		moc_DetailedWindow.o \
-		moc_QFNListWidget.o \
 		moc_CreateTargetDialog.o \
 		moc_LoginDialog.o \
 		qrc_resources.o
@@ -124,7 +117,7 @@
 $(TARGET):  $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
+Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
@@ -146,10 +139,10 @@
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtDBus.prl \
+		/usr/lib/libQtXml.prl \
+		/usr/lib/libQtCore.prl \
 		/usr/lib/libQtSql.prl \
-		/usr/lib/libQtXml.prl \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+		/usr/lib/libQtGui.prl
 	$(QMAKE) -unix -o Makefile src.pro
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
@@ -173,16 +166,16 @@
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
 /usr/lib/libQtDBus.prl:
+/usr/lib/libQtXml.prl:
+/usr/lib/libQtCore.prl:
 /usr/lib/libQtSql.prl:
-/usr/lib/libQtXml.prl:
 /usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h QFNListItem.h DetailedWindow.h / QFNListWidget.h CreateTargetDialog.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.cpp eWallet.cpp main.cpp QFNListItem.cpp QFNListWidget.cpp CreateTargetDialog.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h DetailedWindow.h / CreateTargetDialog.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.cpp eWallet.cpp main.cpp CreateTargetDialog.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
 
 
 clean:compiler_clean 
@@ -201,9 +194,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_eWallet.cpp moc_QFNListItem.cpp moc_DetailedWindow.cpp moc_QFNListWidget.cpp moc_CreateTargetDialog.cpp moc_LoginDialog.cpp
+compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_CreateTargetDialog.cpp moc_LoginDialog.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_eWallet.cpp moc_QFNListItem.cpp moc_DetailedWindow.cpp moc_QFNListWidget.cpp moc_CreateTargetDialog.cpp moc_LoginDialog.cpp
+	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_CreateTargetDialog.cpp moc_LoginDialog.cpp
 moc_eWallet.cpp: DatabaseManager.h \
 		QFNListWidget.h \
 		QFNListItem.h \
@@ -213,18 +206,9 @@
 		eWallet.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) eWallet.h -o moc_eWallet.cpp
 
-moc_QFNListItem.cpp: DatabaseManager.h \
-		QFNListItem.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) QFNListItem.h -o moc_QFNListItem.cpp
-
 moc_DetailedWindow.cpp: DatabaseManager.h \
 		DetailedWindow.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) DetailedWindow.h -o moc_DetailedWindow.cpp
-
-moc_QFNListWidget.cpp: QFNListItem.h \
-		DatabaseManager.h \
-		QFNListWidget.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) QFNListWidget.h -o moc_QFNListWidget.cpp
 
 moc_CreateTargetDialog.cpp: CreateTargetDialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) CreateTargetDialog.h -o moc_CreateTargetDialog.cpp
@@ -240,23 +224,24 @@
 compiler_rcc_clean:
 	-$(DEL_FILE) qrc_resources.cpp
 qrc_resources.cpp: resources.qrc \
+		resources/icon_edit.png \
+		resources/empty_ID_Card.png \
+		resources/empty_Others.png \
+		resources/types.txt \
+		resources/icon_notavailable.png \
 		resources/icon_available.png \
+		resources/icon_accept.png \
+		resources/empty_card.png \
+		resources/icon_cancel.png \
 		resources/icon_save.png \
-		resources/empty_card.png \
+		resources/icon_reserve_cancel.png \
+		resources/icon_empty_card_back.png \
+		resources/donate.gif \
+		resources/empty_Credit_Card.png \
 		resources/icon_delete.png \
-		resources/empty_Credit_Card.png \
-		resources/icon_edit.png \
-		resources/icon_clear.png \
 		resources/empty_card_back.png \
-		resources/icon_empty_card_back.png \
-		resources/icon_notavailable.png \
-		resources/empty_ID_Card.png \
-		resources/icon_reserve_cancel.png \
-		resources/icon_cancel.png \
-		resources/icon_accept.png \
-		resources/empty_Others.png \
 		resources/icon_empty_card.png \
-		resources/types.txt
+		resources/icon_clear.png
 	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp
 
 compiler_image_collection_make_all: qmake_image_collection.cpp
@@ -294,3 +279,27 @@
 		LoginDialog.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o DatabaseManager.o DatabaseManager.cpp
 
+eWallet.o: eWallet.cpp eWallet.h \
+		DatabaseManager.h \
+		QFNListWidget.h \
+		QFNListItem.h \
+		CreateTargetDialog.h \
+		DetailedWindow.h \
+		LoginDialog.h \
+		Constants.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eWallet.o eWallet.cpp
+
+main.o: main.cpp eWallet.h \
+		DatabaseManager.h \
+		QFNListWidget.h \
+		QFNListItem.h \
+		CreateTargetDialog.h \
+		DetailedWindow.h \
+		LoginDialog.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
+
+CreateTargetDialog.o: CreateTargetDialog.cpp CreateTargetDialog.h \
+		DatabaseManager.h \
+		eWallet.h \
+		QFNListWidget.h \
+		QFNListItem.h \
