## qtwallet 0.16

=== debian/changelog ===
qtwallet (0.16) fremantle; urgency=low

  * Release 0.16 New delete DB functionality, fixed problems with empty password

 -- david <nowheremanmail@gmail.com>  Sun, 28 Feb 2010 21:17:00 +0100
