## qtwallet 0.17

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtwallet
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 20:51:49 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 28 17:38:02 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile src.pro
@@ -46,22 +46,18 @@
 SOURCES       = DatabaseManager.cpp \
 		eWallet.cpp \
 		main.cpp \
-		CreateTargetDialog.cpp \
 		LoginDialog.cpp \
 		DetailedWindow.cpp moc_eWallet.cpp \
 		moc_DetailedWindow.cpp \
-		moc_CreateTargetDialog.cpp \
 		moc_LoginDialog.cpp \
 		qrc_resources.cpp
 OBJECTS       = DatabaseManager.o \
 		eWallet.o \
 		main.o \
-		CreateTargetDialog.o \
 		LoginDialog.o \
 		DetailedWindow.o \
 		moc_eWallet.o \
 		moc_DetailedWindow.o \
-		moc_CreateTargetDialog.o \
 		moc_LoginDialog.o \
 		qrc_resources.o
 DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
@@ -175,7 +171,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtwallet1.0.0 || $(MKDIR) .tmp/qtwallet1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h DetailedWindow.h / CreateTargetDialog.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.cpp eWallet.cpp main.cpp CreateTargetDialog.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.h eWallet.h DetailedWindow.h LoginDialog.h .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtwallet1.0.0/ && $(COPY_FILE) --parents DatabaseManager.cpp eWallet.cpp main.cpp LoginDialog.cpp DetailedWindow.cpp .tmp/qtwallet1.0.0/ && (cd `dirname .tmp/qtwallet1.0.0` && $(TAR) qtwallet1.0.0.tar qtwallet1.0.0 && $(COMPRESS) qtwallet1.0.0.tar) && $(MOVE) `dirname .tmp/qtwallet1.0.0`/qtwallet1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtwallet1.0.0
 
 
 clean:compiler_clean 
@@ -194,13 +190,10 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_CreateTargetDialog.cpp moc_LoginDialog.cpp
+compiler_moc_header_make_all: moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_CreateTargetDialog.cpp moc_LoginDialog.cpp
+	-$(DEL_FILE) moc_eWallet.cpp moc_DetailedWindow.cpp moc_LoginDialog.cpp
 moc_eWallet.cpp: DatabaseManager.h \
-		QFNListWidget.h \
-		QFNListItem.h \
-		CreateTargetDialog.h \
 		DetailedWindow.h \
 		LoginDialog.h \
 		eWallet.h
@@ -209,9 +202,6 @@
 moc_DetailedWindow.cpp: DatabaseManager.h \
 		DetailedWindow.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) DetailedWindow.h -o moc_DetailedWindow.cpp
-
-moc_CreateTargetDialog.cpp: CreateTargetDialog.h
-	/usr/bin/moc $(DEFINES) $(INCPATH) CreateTargetDialog.h -o moc_CreateTargetDialog.cpp
 
 moc_LoginDialog.cpp: LoginDialog.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) LoginDialog.h -o moc_LoginDialog.cpp
@@ -272,18 +262,12 @@
 DatabaseManager.o: DatabaseManager.cpp Constants.h \
 		DatabaseManager.h \
 		eWallet.h \
-		QFNListWidget.h \
-		QFNListItem.h \
-		CreateTargetDialog.h \
 		DetailedWindow.h \
 		LoginDialog.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o DatabaseManager.o DatabaseManager.cpp
 
 eWallet.o: eWallet.cpp eWallet.h \
 		DatabaseManager.h \
-		QFNListWidget.h \
-		QFNListItem.h \
-		CreateTargetDialog.h \
 		DetailedWindow.h \
 		LoginDialog.h \
 		Constants.h
@@ -291,15 +275,30 @@
 
 main.o: main.cpp eWallet.h \
 		DatabaseManager.h \
-		QFNListWidget.h \
-		QFNListItem.h \
-		CreateTargetDialog.h \
 		DetailedWindow.h \
 		LoginDialog.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
 
-CreateTargetDialog.o: CreateTargetDialog.cpp CreateTargetDialog.h \
-		DatabaseManager.h \
-		eWallet.h \
-		QFNListWidget.h \
-		QFNListItem.h \
+LoginDialog.o: LoginDialog.cpp eWallet.h \
+		DatabaseManager.h \
+		DetailedWindow.h \
+		LoginDialog.h \
+		Constants.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o LoginDialog.o LoginDialog.cpp
+
+DetailedWindow.o: DetailedWindow.cpp eWallet.h \
+		DatabaseManager.h \
+		DetailedWindow.h \
+		LoginDialog.h \
+		Constants.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o DetailedWindow.o DetailedWindow.cpp
+
+moc_eWallet.o: moc_eWallet.cpp 
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_eWallet.o moc_eWallet.cpp
+
+moc_DetailedWindow.o: moc_DetailedWindow.cpp 
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_DetailedWindow.o moc_DetailedWindow.cpp
+
+moc_LoginDialog.o: moc_LoginDialog.cpp 
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_LoginDialog.o moc_LoginDialog.cpp
+
