=== debian/changelog ===
qtwallet (0.17) fremantle; urgency=low

  * Release 0.17 New delete DB functionality, fixed problems with empty
    password, new button size and icon on application manager

 -- david <nowheremanmail@gmail.com>  Sun, 28 Feb 2010 21:17:00 +0100
