=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: qtwallet
-Section: user/utilities 
+Section: user/utilities
 Priority: extra
 Maintainer: David Galindo <nowheremanmail@gmail.com>
 XSBC-Original-Maintainer: David Galindo <nowheremanmail@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-core(>=4.5.3~git20090723-0maemo6+0m5), libqt4-dev(>=4.5.3~git20090723-0maemo6+0m5), libqt4-sql(>=4.5.3~git20090723-0maemo6+0m5), openssl, libssl-dev
 Standards-Version: 3.8.1
 #Homepage: <insert the upstream URL, if relevant>
-#XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
-#XB-Maemo-Display-Name: Wallet
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=qtwallet
+XB-Maemo-Display-Name: Wallet
 
 Package: qtwallet
-Section: user/other
+Section: user/utilities
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Wallet is an application to keep your credit cards and other confidential information in safe place 
+Description: Wallet keeps your credit cards and other confidential 
+ information in safe place. Store your credit cards information, 
+ passwords, IDs, passports, all them encripted by a given password. 
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
  b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
