## qtwallet 0.20-1maemo1

=== debian/changelog ===
qtwallet (0.20-1maemo1) fremantle; urgency=low

  * Release 0.20 changed icons, fixed problems with keyboard on login

 -- david <nowheremanmail@gmail.com>  Sun, 28 Feb 2010 21:17:00 +0100
