## qtwallet 0.21-1maemo1

=== debian/changelog ===
qtwallet (0.21-1maemo1) fremantle; urgency=low

  * Release 0.21 fixed problems with keyboard on list

 -- david <nowheremanmail@gmail.com>  Sun, 28 Feb 2010 21:17:00 +0100
