## qtwallet 0.22-1maemo1

=== debian/changelog ===
qtwallet (0.22-1maemo1) fremantle; urgency=low

  * Release 0.22 enabled autorotation

 -- david <nowheremanmail@gmail.com>  Sun, 28 Feb 2010 21:17:00 +0100
