=== debian/control ===
--- 
+++ 
@@ -13,9 +13,7 @@
 Section: user/utilities
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Wallet keeps your credit cards and other confidential 
- information in safe place. Store your credit cards information, 
- passwords, IDs, passports, all them encripted by a given password. 
+Description: Wallet keeps your confidential information in safe place.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKT2lDQ1BQaG90
  b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJC
