## qtwallet 0.23-1maemo1

=== debian/changelog ===
qtwallet (0.23-1maemo1) fremantle; urgency=low

  * Release 0.23 first version of full autorotation

 -- david <nowheremanmail@gmail.com>  Sun, 28 Feb 2010 21:17:00 +0100
