## qtwallet 0.25-1maemo1

=== debian/changelog ===
qtwallet (0.25-1maemo1) fremantle; urgency=low

  * Release 0.25 
  			Fix defect on login after lock. 
  			Added new group field.
  			Changed import and export to add group Name field. 
  			New "create card like other" option. 
  			Show progress on import / export option.
  			Backup DB before migration. 

 -- david <nowheremanmail@gmail.com>  Sun, 13 Jun 2010 20:02:00 +0100
