## qtwallet 0.26-1maemo1

=== debian/changelog ===
qtwallet (0.26-1maemo1) fremantle; urgency=low

  * Release 0.26 
  			Fixed crash after delete. 
  			New types (software serial number, hardware serial number, update cellular phone)
  			First version of groups  

 -- david <nowheremanmail@gmail.com>  Sun, 14 Jun 2010 23:30:00 +0100
