## qtwallet 0.27-1maemo1

=== debian/changelog ===
qtwallet (0.27-1maemo1) fremantle; urgency=low

  * Release 0.27
  			Fixed problem with null group names on sort
  * Release 0.26 
  			Fixed crash after delete. 
  			New types (software serial number, hardware serial number, update cellular phone)
  			First version of groups
  * Release 0.25 
  			Fixed crash login after lock. 
  			Added new group field.
  			Changed import and export to add group Name field. 
  			New "create card like other" option. 
  			Show progress on import / export option.
  			Backup DB before migration.
  * Release 0.24 full autorotation
  * Release 0.23 first version of full autorotation

 -- david <nowheremanmail@gmail.com>  Tue, 15 Jun 2010 09:00:00 +0100
